#include <windows.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <io.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <conio.h>
#include <ctype.h>

#pragma comment( lib, "../bin/pdfpage.lib" )

typedef HANDLE HPDF;

void WINAPI PDF_SetCode(char *lpCode);
void WINAPI PDF_SetMode(int nMode);
HPDF WINAPI PDF_Open(char *lpPDFName);
BOOL WINAPI PDF_ExtractPages(HPDF hPDF, char *lpOutPDF, char *lpPageRange);
void WINAPI PDF_Close(HPDF hPDF);
BOOL WINAPI PDF_MergePDFFiles(LPSTR pPDFFiles, LPCTSTR pOutPDF);

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main()
{
	BOOL bRet = FALSE;
	char szInPDF[MAX_PATH];
	GetModulePath(szInPDF, "testcmd.pdf");

	PDF_SetMode(0);
	PDF_SetCode("Set your License Key at here");

	char szOutPDF1[MAX_PATH];
	char szOutPDF2[MAX_PATH];
	char szOutPDF3[MAX_PATH];
	GetModulePath(szOutPDF1, "out-001.pdf");
	GetModulePath(szOutPDF2, "out-002.pdf");
	GetModulePath(szOutPDF3, "out-003.pdf");

    //Extract pages from an existing PDF file
	HPDF hPDF = PDF_Open(szInPDF);
	bRet = PDF_ExtractPages(hPDF, szOutPDF1, "1-3");
	bRet = PDF_ExtractPages(hPDF, szOutPDF2, "2-6");
	bRet = PDF_ExtractPages(hPDF, szOutPDF3, "10");
	PDF_Close(hPDF);

    //Merge several PDF files into one PDF file
	char szMergePDFs[2048];
	strcpy(szMergePDFs, szOutPDF1);
	strcat(szMergePDFs, "|");
	strcat(szMergePDFs, szOutPDF2);
	strcat(szMergePDFs, "|");
	strcat(szMergePDFs, szOutPDF3);
	char szOutMergedPDF[MAX_PATH];
	GetModulePath(szOutMergedPDF, "merged1.pdf");
	bRet = PDF_MergePDFFiles(szMergePDFs, szOutMergedPDF);

    //Extract and merge PDF files together
	GetModulePath(szOutMergedPDF, "merged2.pdf");
	sprintf(szMergePDFs, "%s*1,2,3,8-10", szInPDF);
	bRet = PDF_MergePDFFiles(szMergePDFs, szOutMergedPDF);
}